cURL
curl --request GET \
--url https://api.cloud.pepperpay.com.br/public/v1/checkout/{hash} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloud.pepperpay.com.br/public/v1/checkout/{hash}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloud.pepperpay.com.br/public/v1/checkout/{hash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"template": "modern",
"company": {
"id": 42,
"creditcard_acquirer_default_id": 5,
"title": "Acme Corp",
"logo_url": "https://via.placeholder.com/400x400.png?text=Acme+Logo",
"domain": "acme.example.com",
"gtag": null,
"payment_methods_available": "credit_card,billet,pix",
"public_key": "Xy9P0lQrTs1UvBn2",
"acquirer_creditcard": {
"id": 5,
"acquirer_name": "PagMax",
"script_url": "https://cdn.pagmax.com/v1/script.js",
"public_key": "cf027e40",
"acquirer_account_id": null
}
},
"offer": {
"id": 101,
"account_id": 12,
"product_id": 77,
"user_id": 55,
"hash": "x1y2z3a4b5",
"type": "checkout",
"title": "Oferta Imperdível",
"cover": null,
"payment_methods": "[\"credit_card\",\"billet\", \"pix\"]",
"payment_method_discounts": null,
"apply_discounts_to_all_offers": 0,
"first_billing": "150",
"currency": "BRL",
"price": "499.90",
"interval": null,
"status": 1,
"affiliates_visible": 1,
"method_default": 1,
"shipping_type": null,
"fixed_shipping": null,
"redirect_url": null,
"created_at": "2025",
"updated_at": "2025",
"deleted_at": null
},
"product": {
"id": 77,
"title": "Curso de Programação Web",
"hash": "p7o8i9u0y6",
"cover": "https://cdn.example.com/products/cover.png",
"status": 1,
"payment_type": 2,
"product_type": "digital",
"guaranted_days": "7",
"support_name": "Suporte Acme",
"support_email": "suporte@acme.com",
"support_whatsapp": "11 91234",
"custom_thankyou_page": null,
"css_custom": null,
"weight": null,
"width": null,
"height": null,
"length": null,
"discount_retry": null,
"custom_checkout_settings": null,
"delivery_type": 3,
"physical": null,
"checkout_templates": [
{},
{
"id": 501,
"type": "master",
"primary_color": "#0057FF",
"secondary_color": "#FFAA00",
"vsl_enabled": 0,
"video_enabled": 0
}
]
},
"orderbumps": [],
"pixels": [],
"affiliates_config": {
"id": 88,
"hash": "affx9y7z6",
"product_id": 77,
"attribuition_model": "last_click",
"cookie_duration": 7
},
"affiliate": null,
"checkout_custom": [
{},
{
"id": 9,
"title": "Checkout Black Friday",
"device": "desktop",
"position_layout": "full",
"order": "1",
"object_type": "v2",
"object": "{\"primary\":\"#109b6c\",\"darkMode\":true}",
"status": "1"
}
],
"seller": {
"hash": "abcxyz987",
"name": "João Silva",
"email": "joao@acme.com",
"document": "12345678900",
"account_id": 12,
"acquirer_id": 5,
"status": 1,
"phone": "11999999999"
},
"subscription": {
"id": 303,
"account_id": 12,
"user_id": 55,
"product_id": 77,
"hash": "sub9q8w7e6",
"interval": "monthly",
"status": "active",
"created_at": "2025",
"updated_at": "2025",
"deleted_at": null,
"offer": {
"id": 101,
"hash": "x1y2z3a4b5",
"price": "499.90",
"currency": "BRL"
}
},
"coupons_count": 0,
"csrf": null,
"receive_producer": 1,
"receive_affiliate": 0,
"acquirer_creditcard": {
"id": 5,
"acquirer_name": "PagMax",
"script_url": "https://cdn.pagmax.com/v1/script.js",
"public_key": "cf027e40",
"acquirer_account_id": null
},
"configs": {
"interest_type": "compound",
"interest_tax": 2.99,
"template": "modern"
},
"testimonials": [],
"purchase_notifications": null,
"visitor_notifications": null
}Checkout
Obter checkout
Obtenha dados e configurações de um checkout específico, criado pela sua conta.
GET
/
checkout
/
{hash}
cURL
Autorizações
Use o token da Pepper API no formato: Bearer {seu_token_aqui}
Parâmetros de caminho
Hash ID do checkout
Resposta
200 - application/json
Dados do checkout retornados com sucesso
Template do checkout
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I